<?php
/* Copyright (C) 2016		 Oscss-Shop       <support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * or see http://www.gnu.org/
 */

global $db, $langs, $conf, $html;

require_once DOL_DOCUMENT_ROOT.'/core/class/extrafields.class.php';


print '<form method="post" action="">';
print '<input type="hidden" name="token" value="'.$_SESSION['newtoken'].'">';
print '<input type="hidden" name="action" value="set">';

print '<table class="noborder" width="100%">';
print '<tr class="liste_titre">';
print '<td width="30%">'.$langs->trans("Parameter").'</td>';
print '<td width="40%">'.$langs->trans("Value").'</td>';
print "</tr>";

//User
print '<tr class="impair"><td>'.$langs->trans("ResponsibleUser").'</td>';
print '<td align="left">';
print '<input type="hidden" name="nom0" value="LCR_USER">';
print $html->select_dolusers($conf->global->LCR_USER, 'value0', 1);
print '</td>';
print '</tr>';

// Bank account (from Banks module)
print '<tr class="impair"><td>'.$langs->trans("BankToReceiveWithdraw").'</td>';
print '<td align="left">';
print $html->select_comptes($conf->global->LCR_ID_BANKACCOUNT, 'LCR_ID_BANKACCOUNT', 0, "courant=1", 1);
print '</td></tr>';

//mode pre confirm
print '<tr class="impair"><td>'.$langs->trans("ModePreConfirmClient").'</td>';
print '<td align="left">';
print '<input type="checkbox" name="LCR_MODE_PRECONFIRM" value="1" '.($conf->global->LCR_MODE_PRECONFIRM ? 'checked' : '').'>';
print '</td>';
print '</tr>';

if(isset($conf->global->LCR_MODE_PRECONFIRM) && $conf->global->LCR_MODE_PRECONFIRM == 1 ) {
	//mode pre confirm extrafiled
	$ef          = new ExtraFields($db);
	$extralabels = $ef->fetch_name_optionals_label('societe', true);
	print '<tr class="impair"><td style="padding-left: 40px">&rdsh; '.$langs->trans("TierExtraField").'</td>';
	print '<td align="left">';
	print '<select name="LCR_MODE_PRECONFIRM_EXTRA_COMPANY" ><option></option>';
	foreach ($extralabels as $key => $value) {
			print "<option value='$key' ".($conf->global->LCR_MODE_PRECONFIRM_EXTRA_COMPANY == $key ? 'selected' : '').">$value</option>";
	}
	print '</select></td>';
	print '</tr>';
}

print '</table>';
print '<br>';

print '<center><input type="submit" class="button" value="'.$langs->trans("Save").'"></center>';

print '</form>';
?>
