<?php
/* Copyright (C) 2016		 Oscss-Shop       <support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * or see http://www.gnu.org/
 */
 
require_once DOL_DOCUMENT_ROOT.'/compta/bank/class/account.class.php';
// // dol_include_once('/edi/class/account.edi.class.php');
// dol_include_once('/framework/core/lib/framework.lib.php');
// loadClass("Account");
 
Class subConfig {

    public function __construct(PageConfigSubModule $Master) {

        $this->Master = $Master;
    }

    public function PrepareContext() {
        global $langs, $conf, $html;

        $html = new Form($this->Master->db);


        
				if (GETPOST("action") == "set")
				{
						$this->Master->db->begin();
						for ($i = 0 ; $i < 1 ; $i++)
						{
							$res = dolibarr_set_const($this->Master->db, GETPOST("nom$i",'alpha'), GETPOST("value$i",'alpha'),'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
						}

						$res = dolibarr_set_const($this->Master->db, "LCR_ID_BANKACCOUNT", GETPOST("LCR_ID_BANKACCOUNT"),'chaine',0,'',$conf->entity);
						if (! $res > 0) $error++;

						$res = dolibarr_set_const($this->Master->db, "LCR_MODE_PRECONFIRM", GETPOST("LCR_MODE_PRECONFIRM"),'yesno',0,'',$conf->entity);
						if (! $res > 0) $error++;

						$res = dolibarr_set_const($this->Master->db, "LCR_MODE_PRECONFIRM_EXTRA_COMPANY", GETPOST("LCR_MODE_PRECONFIRM_EXTRA_COMPANY"),'chaine',0,'',$conf->entity);
						if (! $res > 0) $error++;

						
						$res = dolibarr_set_const($this->Master->db, "LCR_NOTIF_EMAIL", GETPOST("LCR_NOTIF_EMAIL"),'chaine',0,'',$conf->entity);
						if (! $res > 0) $error++;


						$id=GETPOST('LCR_ID_BANKACCOUNT','int');
						$account = new Account($this->Master->db, $id);

						if($account->fetch($id)>0)
						{
								$res = dolibarr_set_const($this->Master->db, "LCR_ID_BANKACCOUNT", $id,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
								$res = dolibarr_set_const($this->Master->db, "LCR_CODE_BANQUE", $account->code_banque,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
								$res = dolibarr_set_const($this->Master->db, "LCR_CODE_GUICHET", $account->code_guichet,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
								$res = dolibarr_set_const($this->Master->db, "LCR_NUMERO_COMPTE", $account->number,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
								$res = dolibarr_set_const($this->Master->db, "LCR_NUMBER_KEY", $account->cle_rib,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
								$res = dolibarr_set_const($this->Master->db, "LCR_IBAN", $account->iban,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
								$res = dolibarr_set_const($this->Master->db, "LCR_BIC", $account->bic,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
								$res = dolibarr_set_const($this->Master->db, "LCR_RAISON_SOCIALE", $account->proprio,'chaine',0,'',$conf->entity);
								if (! $res > 0) $error++;
						}
						else $error++;

						if (! $error)
					{
						$this->Master->db->commit();
						setEventMessage($langs->trans("SetupSaved"));
					}
					else
					{
						$this->Master->db->rollback();
						setEventMessage($langs->trans("Error"),'errors');
					}
				}
        
        
    }

    /**
      @brief constructor
     */
    public function DisplayPage() {
        global $langs, $conf, $html;

        // Translations
        $langs->load("admin");
        $langs->load($this->Master->filelang);


        dol_include_once('/' . $this->Master->module . '/admin/tpl/' . $this->Master->currentpage . '.tpl');
    }

}

?>
